import React from "react";
import renderer from "react-test-renderer";

import { Section } from "..";

describe("Section component", () => {
  it("should exist", () => {
    expect(Section).toMatchSnapshot();
  });

  it("should have section classname", () => {
    const component = renderer.create(
      <Section>
        Test <a href="/">Give me</a>
      </Section>,
    );
    expect(component.toJSON()).toMatchSnapshot();
  });

  it("should concat classname in props with Bulma classname", () => {
    const component = renderer.create(
      <Section className="other-class this-is-a-test">
        <p>Default</p>
      </Section>,
    );
    expect(component.toJSON()).toMatchSnapshot();
  });

  it("should use inline styles", () => {
    const component = renderer.create(
      <Section style={{ height: 250 }}>
        <p>Default</p>
      </Section>,
    );
    expect(component.toJSON()).toMatchSnapshot();
  });

  it("should be Large", () => {
    const component = renderer.create(
      <Section size="large">
        <p>Default</p>
      </Section>,
    );
    expect(component.toJSON()).toMatchSnapshot();
  });

  it("should render as nav element", () => {
    const component = renderer.create(
      <Section<"nav"> as="nav">
        <p>Default</p>
      </Section>,
    );
    expect(component.toJSON()).toMatchSnapshot();
  });
});
